Debian Bug report logs - #573774
must stop using HAL

version graph

Package: cheese; Maintainer for cheese is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for cheese is src:cheese.

Reported by: Marco d'Itri <md@linux.it>

Date: Sat, 13 Mar 2010 20:45:02 UTC

Severity: important

Tags: fixed-upstream, upstream

Found in version cheese/2.28.1-1

Fixed in version cheese/2.30.1-1

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, md@linux.it, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#573774; Package cheese. (Sat, 13 Mar 2010 20:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco d'Itri <md@linux.it>:
New Bug report received and forwarded. Copy sent to md@linux.it, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 13 Mar 2010 20:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: must stop using HAL
Date: Sat, 13 Mar 2010 21:41:59 +0100
[Message part 1 (text/plain, inline)]
Package: cheese
Version: 2.28.1-1
Severity: important
Tags: upstream fixed-upstream

Please upgrade cheese to a release which does not require HAL or
backport the relevant patch.

http://mail.gnome.org/archives/gnome-announce-list/2010-January/msg00039.html

https://bugzilla.gnome.org/show_bug.cgi?id=594966

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#573774; Package cheese. (Sun, 14 Mar 2010 00:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emilio Pozuelo Monfort <pochu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 14 Mar 2010 00:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 573774@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu@debian.org>
To: Marco d'Itri <md@linux.it>, 573774@bugs.debian.org
Subject: Re: Bug#573774: must stop using HAL
Date: Sun, 14 Mar 2010 01:15:11 +0100
On 13/03/10 21:41, Marco d'Itri wrote:
> Please upgrade cheese to a release which does not require HAL or
> backport the relevant patch.

The next stable release (2.30) will be released in two weeks. We'll upload it then.

Emilio




Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Tue, 04 May 2010 18:21:04 GMT) Full text and rfc822 format available.

Notification sent to Marco d'Itri <md@linux.it>:
Bug acknowledged by developer. (Tue, 04 May 2010 18:21:04 GMT) Full text and rfc822 format available.

Message #15 received at 573774-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 573774-close@bugs.debian.org
Subject: Bug#573774: fixed in cheese 2.30.1-1
Date: Tue, 04 May 2010 18:17:14 +0000
Source: cheese
Source-Version: 2.30.1-1

We believe that the bug you reported is fixed in the latest version of
cheese, which is due to be installed in the Debian FTP archive:

cheese-common_2.30.1-1_all.deb
  to main/c/cheese/cheese-common_2.30.1-1_all.deb
cheese_2.30.1-1.debian.tar.gz
  to main/c/cheese/cheese_2.30.1-1.debian.tar.gz
cheese_2.30.1-1.dsc
  to main/c/cheese/cheese_2.30.1-1.dsc
cheese_2.30.1-1_i386.deb
  to main/c/cheese/cheese_2.30.1-1_i386.deb
cheese_2.30.1.orig.tar.gz
  to main/c/cheese/cheese_2.30.1.orig.tar.gz
libcheese-gtk-dev_2.30.1-1_i386.deb
  to main/c/cheese/libcheese-gtk-dev_2.30.1-1_i386.deb
libcheese-gtk18_2.30.1-1_i386.deb
  to main/c/cheese/libcheese-gtk18_2.30.1-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 573774@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated cheese package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 04 May 2010 17:37:18 +0200
Source: cheese
Binary: cheese cheese-common libcheese-gtk18 libcheese-gtk-dev
Architecture: source all i386
Version: 2.30.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 cheese     - A tool to take pictures and videos from your webcam
 cheese-common - Common files for the Cheese tool to take pictures and videos
 libcheese-gtk-dev - A tool to take pictures and videos from your webcam - widgets dev
 libcheese-gtk18 - A tool to take pictures and videos from your webcam - widgets
Closes: 573774
Changes: 
 cheese (2.30.1-1) unstable; urgency=low
 .
   * New upstream release.
     - HAL dependency has been dropped. Use (g)udev for v4l capability probing
       on Linux. Closes: #573774
     - Split code into separate libraries.
   * debian/control.in
     - Drop Build-Depends on libhal-dev.
     - Drop Build-Depends on libebook1.2-dev.
     - Bump Build-Depends on libgtk2.0-dev to (>= 2.19.1).
     - Bump Build-Depends on libgstreamer*-dev to (>= 0.10.23).
     - Add Build-Depends on libcanberra-gtk-dev.
     - Add Build-Depends on libxtst-dev.
     - Add Build-Depends on libgudev-1.0-dev on Linux.
     - Bump Standards-Version to 3.8.4. No further changes.
   * Switch to source format 3.0 (quilt)
     - Add debian/source/format.
   * debian/rules
     - Drop lpia specific configure flags, lpia is dead.
   * Update package layout (based on work by Ubuntu)
     - Move data files into new cheese-common package.
     - Keep binary along with its desktop and dbus service file in the cheese
       package.
     - Add libcheese-gtk18 and libcheese-gtk-dev package for the new
       libcheese-gtk library. Use a symbols file for improved shlibs
       dependencies.
     - Add Conflicts/Replaces to cheese-common to ensure proper upgrades from
       previous versions.
Checksums-Sha1: 
 e043db1e1778b8b6c064e070a9c1ccc8dea7a3a2 1880 cheese_2.30.1-1.dsc
 55300dd9e9e21cecebf2ab9aa4f8f55deb191f3c 5528236 cheese_2.30.1.orig.tar.gz
 0c0f0c1411f7e3b7488d8692ac4bf65f3f5e4bf6 7464 cheese_2.30.1-1.debian.tar.gz
 f44510ae872443bcc8c4219143abacd970bbca8c 4866840 cheese-common_2.30.1-1_all.deb
 cb35bf84a0b729ce717a2a3927ab41be5f66c7cb 136694 cheese_2.30.1-1_i386.deb
 ec990b94e737bb57edaac375bd8e77398f9e13d0 106100 libcheese-gtk18_2.30.1-1_i386.deb
 edd5210268ad9d18a5ad0dc5412097f8896b6a68 81710 libcheese-gtk-dev_2.30.1-1_i386.deb
Checksums-Sha256: 
 53702019de7c5bb89d8427c0538e28f025fcff14b0394df39fac5caadd13a6d2 1880 cheese_2.30.1-1.dsc
 665374d01490debf988313b139ad732e5f97a439f806c99d7e748be651d9baa8 5528236 cheese_2.30.1.orig.tar.gz
 b6b031c0cc291164df59cfbf2c8c7361a7dd4731362910f4a6e8709bc3b7b284 7464 cheese_2.30.1-1.debian.tar.gz
 45e68105be2309e36760cf8d48d34e8119d9796f02005a163eb355e241e8ff1a 4866840 cheese-common_2.30.1-1_all.deb
 67b5517e238bc08a108bbb5e7d9afe8e1cf5040a28da4ea72065a3361f486aae 136694 cheese_2.30.1-1_i386.deb
 c14a2af11ea2dd4cf4902692185a1014e490b5a479c3577c28b70f651038fdf0 106100 libcheese-gtk18_2.30.1-1_i386.deb
 4dcb59a711ab5e295f16309ddba6fb8754fc228cd7337e416df5afe554e630e2 81710 libcheese-gtk-dev_2.30.1-1_i386.deb
Files: 
 63ee37aca00f3a11fb63b54d9b7cb845 1880 gnome optional cheese_2.30.1-1.dsc
 f75c501dd0cedb4d3ad8375f7283a818 5528236 gnome optional cheese_2.30.1.orig.tar.gz
 712266c2495b9352fded6ff97c563f59 7464 gnome optional cheese_2.30.1-1.debian.tar.gz
 662c516922224be53ad3f347c1e17fd5 4866840 gnome optional cheese-common_2.30.1-1_all.deb
 c82ca3f09f353d5f9d3c7f1534f57b6c 136694 gnome optional cheese_2.30.1-1_i386.deb
 bd630886c74c99f85c021de18828ad5c 106100 libs optional libcheese-gtk18_2.30.1-1_i386.deb
 8bb99f0e8cb7098a594d7ebf9bf122b4 81710 libdevel optional libcheese-gtk-dev_2.30.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvgQgYACgkQh7PER70FhVQI/ACgxOj4mW5zM3MGBj/yzxXJ5Hy1
Qt4AoMV1mIOHNB3qkgXPzHuX/s2goVog
=Vaod
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 13 Jun 2010 07:36:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:54:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.